<?php
///////////////////////////////////////////////////////////////////////////////
// OBM - File  : calendar_js.inc                                             //
//     - Desc  : Agenda javascript functions File                            //
// 2005-01-13 Aliacom                                                        //
///////////////////////////////////////////////////////////////////////////////
// $Id: calendar_js.inc 5272 2009-10-21 12:36:18Z vincenta $
///////////////////////////////////////////////////////////////////////////////

require("$obminclude/javascript/check_js.inc");

$extra_js .= "

function sel_public_group(date, element, label) {
  var item_id = element.getProperty('id').split('-');
  var id = item_id[item_id.length - 1];
  window.location=('calendar_index.php?date='+date+'&group_id='+id+'&new_group=1');
}

function display_list_detail(display) {

  slides.each(function(slide) {
    if (slide != null) {
      if (display == 'show') {
        slide.show();
      } else {
        slide.hide();
      }
    }
  });
}


function check_calendar_calendar(form) {
  if (trim(form.tf_title.value) == \"\") {
    alert (\"$l_fill_title\");
    return false;
  }
  else if (form.tf_date_begin.value == \"\") {
    alert(\"$l_datebegin\" + \" : $l_fill_date\");
    return false;
  }
  else if (form.tf_date_end.value == \"\") {
    alert(\"$l_dateend\" + \" : $l_fill_date\");
    return false;
  }
  /*
  else if ((form.tf_repeat_end.value == \"\") && (trim(form.sel_repeat_kind.value) != \"none\") ) {
    alert(\"$l_date_repeatend\" + \" : $l_fill_date\");
    return false;
  }
  */
  
  if ($('cbx_no_repeatend').checked) {
    $('tf_repeat_end').value = '';
  }
  
  return true;
}


function show_hide_calendar_dates(field) {
  target = window.document;
  begin = target.getElementById('hour_begin');   
  end = target.getElementById('hour_end');
  $('hour_end').getElement('select[name=sel_time_end]').options.selectedIndex = $('hour_begin').getElement('select[name=sel_time_begin]').options.selectedIndex + 1;
  $('hour_end').getElement('select[name=sel_min_end]').options.selectedIndex = $('hour_begin').getElement('select[name=sel_min_begin]').options.selectedIndex;
  if(field.checked) {
    end.style.display = 'none';
    begin.style.display = 'none';
  } else {
    end.style.display = 'inline';
    begin.style.display = 'inline';
  }     
}

///////////////////////////////////////////////////////////////////////////////
// Check if the meeting perform is possible
///////////////////////////////////////////////////////////////////////////////
function calendar_check_meeting(form) {
  
  if (trim(form.sel_min_duration.options[form.sel_min_duration.selectedIndex].value) == \"00\" 
       && trim(form.sel_time_duration.options[form.sel_time_duration.selectedIndex].value) == \"00\") {
    alert (\"$l_interval_null\");
    return false;
  }
  else if (form.tf_date.value == \"\") {
    alert(\"$l_datebegin\" + \" : $l_fill_date\");
    return false;
  }

  return true;
} 


///////////////////////////////////////////////////////////////////////////////
// Add date picker form for exception date
///////////////////////////////////////////////////////////////////////////////
function add_exdate() {

  var exceptionHome = $('exceptionHome');
  // Create the div
  var div = new Element('div');
  div.adopt(
            new Element('a').addEvent('click', function () {
              remove_element(this.parentNode,'exceptionHome');
            }).adopt(new Element('img').setProperty('src','$ico_delete')));
  exceptionHome.adopt(div);
  // Create the date field
  var f = new Element('input').addClass('datePicker')
                                  .setProperty('type','text');
  div.adopt(f);
  f.setProperty('autocomplete','off');
  f.name = 'tf_date_exception[]';

  new Element('img').setProperty('src', obm.vars.images.datePicker)
                              .injectAfter(f)
                              .addEvent('click', function(e){
                                displayDatePicker(f);
                              });

}

function toggleDisplay (element) {
  var toggleStyle = function (property_name, value1, value2) {
    if (element.getStyle(property_name) == value1) {
      element.setStyle(property_name, value2);
    } else {
      element.setStyle(property_name, value1);
    }
  };
  
  toggleStyle('display', 'none', '');
}

var repeatEndAuto = false;

function repeat_form(value) {
  var noRepeatEndDisplay = true;
  
  switch(''+value) {
    case 'none' :
      $('repeatFrequency').setStyle('display','none');
      $('repeatEnd').setStyle('display','none');
      $('repeatDays').setStyle('display','none');
      $('repeatException').setStyle('display','none');
      noRepeatEndDisplay = false;
      break;
    case 'daily' : 
      showRepeatBlockDisplay('".phpStringToJsString($l_daily_unit)."');
      $('repeatDays').setStyle('display','none');
      var dateEnd = getFieldDate($('tf_date_end').value); 
      var repeatEnd = getFieldDate($('tf_repeat_end').value);
      var interval = parseInt($('tf_repeatfrequency').value);
      dateEnd.setDate(dateEnd.getDate() + interval);
      if(repeatEndAuto ||repeatEnd < dateEnd) {
        $('tf_repeat_end').value = getDateString(dateEnd);
        repeatEndAuto = true;
      } 
      break;           
    case 'weekly' :
      showRepeatBlockDisplay('".phpStringToJsString($l_weekly_unit)."');
      $('repeatDays').setStyle('display','');
      var dateEnd = getFieldDate($('tf_date_end').value); 
      var repeatEnd = getFieldDate($('tf_repeat_end').value);
      var interval = parseInt($('tf_repeatfrequency').value) * 7;
      dateEnd.setDate(dateEnd.getDate() + interval);
      if(repeatEndAuto ||repeatEnd < dateEnd) {
        $('tf_repeat_end').value = getDateString(dateEnd);
        repeatEndAuto = true;
      }       
      break;            
     case 'monthlybydate' :
      showRepeatBlockDisplay('".phpStringToJsString($l_monthlybydate_unit)."');
      $('repeatDays').setStyle('display','none');
      var dateEnd = getFieldDate($('tf_date_end').value); 
      var repeatEnd = getFieldDate($('tf_repeat_end').value);
      var interval = parseInt($('tf_repeatfrequency').value) * 31;
      dateEnd.setDate(dateEnd.getDate() + interval);
      if(repeatEndAuto ||repeatEnd < dateEnd) {
        $('tf_repeat_end').value = getDateString(dateEnd);
        repeatEndAuto = true;
      }       
      break;      
    case 'monthlybyday' : 
      showRepeatBlockDisplay('".phpStringToJsString($l_monthlybyday_unit)."');
      $('repeatDays').setStyle('display','none');
      var dateEnd = getFieldDate($('tf_date_end').value); 
      var repeatEnd = getFieldDate($('tf_repeat_end').value);
      var interval = parseInt($('tf_repeatfrequency').value) * 31;
      dateEnd.setDate(dateEnd.getDate() + interval);
      if(repeatEndAuto ||repeatEnd < dateEnd) {
        dateEnd.setDate(dateEnd.getDate() + interval);
        $('tf_repeat_end').value = getDateString(dateEnd);
        repeatEndAuto = true;
      }       
      break;
    case 'yearly' : 
      $('repeatFrequency').setStyle('display','');
      showRepeatBlockDisplay('".phpStringToJsString($l_yearly_unit)."');
      $('repeatDays').setStyle('display','none');
      var dateEnd = getFieldDate($('tf_date_end').value);
      var repeatEnd = getFieldDate($('tf_repeat_end').value);
      var interval = parseInt($('tf_repeatfrequency').value) * 366;
      dateEnd.setDate(dateEnd.getDate() + interval);
      
      if(repeatEndAuto ||repeatEnd < dateEnd) {
        $('tf_repeat_end').value = getDateString(dateEnd);
        repeatEndAuto = true;
      }       
      break;
  }
  
  $('noRepeatEnd').setStyle('display', noRepeatEndDisplay?'':'none');
  
  if (noRepeatEndDisplay) {
    if ($('tf_repeat_end').getValue() == '') {
      $('cbx_no_repeatend').checked = true;
    }
    if ($('cbx_no_repeatend').checked) {
      $('repeatEnd').setStyle('display','none');
    }
  }
}

function showRepeatBlockDisplay(label) {
  $('repeatFrequency').setStyle('display','');
  $('repeatEnd').setStyle('display','');
  $('repeatException').setStyle('display','');  
  frequency = $('repeatFrequency').getFirst().getNext();
  frequencyField = frequency.getFirst();
  frequencyLabel = label.split('%s');
  frequencyField.remove();
  frequency.empty();
  frequency.appendText(frequencyLabel[0]);
  frequency.adopt(frequencyField);
  frequency.appendText(frequencyLabel[1]);      
}

function check_calendar_pdf_options() {
  if ($('cal_first_hour')) {
    var hour_begin = parseInt($('cal_first_hour').value);
  }
  if ($('cal_last_hour')) {
    var hour_end = parseInt($('cal_last_hour').value);
  }
  var display_days = $('display_days');

  if (hour_end <= hour_begin) {
    alert('$l_err_begin_end');
    return false;
  }

  if (display_days) {
    for(var i=0;i<7;i++) {
      var day = $('cba_repeatday_'+i);
      if (day.getProperty('checked')) {
        return true;
      }
    }
    alert('$l_select_pdf_day');
    return false;
  }

  return true;
}

function disable(id){
  var elem = $(id);
  if(elem.disabled) {
    elem.disabled=false;
  } else {
    elem.disabled=true;
    if (elem.checked) {
      elem.checked=false;
    }
  }
}

function submitExportForm(){
  var check = $('cb_delete_event').checked;
  if(check) {
    var valid = confirm('$l_confirm_delete_export');
    if(valid) {
      updateExportForm();
      $('f_entity').submit();
    }
  }
}

function updateExportForm(){
  $('export_popup').setProperty('value','1');
  $('export_force').setProperty('value','1');
}
";

?>
